[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TCMControlChange

Contains values representing a Control Change Message.

## Declaration

Source position: controls.pp line 119

`type TCMControlChange = record`
`Msg: Cardinal;` |  | Mouse message constant for the change notification.
`Control: TControl;` |  | Control to receive the change message.
`Inserting: LongBool;` |  | Indicates if the control message is an insert operation.
`Result: LRESULT;` |  | Result for the control change message.
`end;`

## Description

TCMControlChange is a record type which contains values representing the arguments and the result for a Control Change Message. TCMControlChange is the type passed to the CMControlChange method in TCustomFlowPanel.

## See also

TCustomFlowPanel.CMControlChange |  | Handles the CM_CONTROLCHANGE message.